Page MenuHomePhabricator

[OMPT] Add tool_not_available testcase
ClosedPublic

Authored by sconvent on Jan 10 2018, 5:32 AM.

Details

Summary

Add a testcase that checks wheter the runtime can handle an ompt_start_tool method that returns NULL indicating that no tool shall be loaded.

The tool_available testcase was moved in a separate folder due to file conflicts.

Diff Detail

Repository
rL LLVM

Event Timeline

sconvent created this revision.Jan 10 2018, 5:32 AM
sconvent edited the summary of this revision. (Show Details)

Hmm, can we also somehow test that the runtime continues searching for a tool in that case? For example having OMP_TOOL_LIBRARIES with a tool that has no ompt_start_tool, one that returns NULL and a final one that does activate OMPT?

sconvent updated this revision to Diff 130137.Jan 17 2018, 4:51 AM

Use omp_control_tool for an additional check

Hmm, can we also somehow test that the runtime continues searching for a tool in that case? For example having OMP_TOOL_LIBRARIES with a tool that has no ompt_start_tool, one that returns NULL and a final one that does activate OMPT?

I submitted D42166 for that.

hbae accepted this revision.Feb 6 2018, 11:08 AM

LGTM.

This revision is now accepted and ready to land.Feb 6 2018, 11:08 AM
Closed by commit rL324587: [OMPT] Add tool_not_available testcase (authored by jprotze, committed by ). · Explain WhyFeb 8 2018, 2:08 AM
This revision was automatically updated to reflect the committed changes.